Subject: merge help

From: "J.V." <[email-masked]>
Date: Tue, 26 Mar 2013 16:07:23 -0600

I have a branch for which I have made 0 (nada) changes.  I did the 
following:

$git pull --rebase --no-stat -v --progress origin mybranch

I get the following

U       java/Profile.java
Pull is not possible because you have unmerged files.
Please, fix them up in the work tree, and then use 'git add/rm <file>'
as appropriate to mark resolution, or use 'git commit -a'.
----------   (there is no local master branch), because of the conflict 
I was put on (no branch)
* (no branch)
   branch1
   dev
   tmpWork

Question 1)
Why did I get a merge conflict if I have not changed any files?

Question 2)
What is the command to show the difference between the files? (is there 
a visual tool that would let me merge)?

Question 3)
What is the command I would type to "accept theirs" and overwrite my local?

After this would I need to $git add & commit & push the file?

If someone could guide me through this initial process, (what is best 
recommended it would be most helpful).

thanks

J.V.